CGAL 6.0.2 - STL Extensions for CGAL

Loading...
Searching...
No Matches
Classes | Functions
Compact Container
STL Extensions for CGAL Reference

##

## Classes
class | CGAL::CC_safe_handle< CC_iterator >
| The class `CC_safe_handle` is a helper class that stores an iterator on a `Compact_container` (or `Concurrent_compact_container`) and is able to know if the pointee has been erased after the creation of the `CC_safe_handle` instance. More...
class | CGAL::Compact_container_base
| The class `Compact_container_base` can be used as a base class for your own type `T`, so that `T` can be used directly within `Compact_container<T, Allocator>`. More...
class | CGAL::Compact_container< T, Allocator >
| An object of the class `Compact_container` is a container of objects of type `T`. More...
struct | CGAL::Compact_container_traits< T >
| The traits class `Compact_container_traits` provides the way to access the internal pointer required for `T` to be used in a `Compact_container<T, Allocator>`. More...
struct | CGAL::Concurrent_compact_container_traits< T >
| The traits class `Concurrent_compact_container_traits` provides the way to access the internal pointer required for `T` to be used in a `Concurrent_compact_container<T, Allocator>`. More...
class | CGAL::Concurrent_compact_container< T, Allocator >
| An object of the class `Concurrent_compact_container` is a container of objects of type `T`, which allows to call `insert` and `erase` operations concurrently. More...

## Functions
template<typename CC_iterator >
CC_safe_handle< CC_iterator > | CGAL::make_cc_safe_handle (CC_iterator iterator)
| The class `make_cc_safe_handle` function allows to build a `CC_safe_handle` from an iterator on a `Compact_container` (or `Concurrent_compact_container`).

## Function Documentation

## ◆ make_cc_safe_handle()

template<typename CC_iterator >

CC_safe_handle< CC_iterator > CGAL::make_cc_safe_handle | ( | CC_iterator | iterator | ) |

`#include <CGAL/CC_safe_handle.h>`

The class `make_cc_safe_handle` function allows to build a `CC_safe_handle` from an iterator on a `Compact_container` (or `Concurrent_compact_container`).

See also
  `CC_safe_handle`